Recovering from a corrupt download/update package

Some users who upgraded to Role Scoper 1.3.36 will need to manually move or delete the plugin files to restore plugin operation.  The problem is with the directory structure of the version 1.3.36 zip file – not with the code itself.

For approximately 4 hours today, the Role Scoper download zip file had files nested in an extra directory: role-scoper/role-scoper instead of role-scoper.  The result of this was:

  • plugin deactivation
  • disappearance of Role Scoper from the wp-admin Plugins list
  • inability to reinstall or update Role Scoper via wp-admin

Those who have incurred this misfortune will need to either:

  • manually move all files from wp-content/plugins/role-scoper/role-scoper to wp-content/plugins/role-scoper

– or –

  • delete the folder wp-content/plugins/role-scoper, then reinstall via your WordPress admin panel

Leave A Comment?

You must be logged in to post a comment.